Compliance Summary Report API

GET /pci/compliance/summary

The Compliance Summary API lists all the assets with their IP addresses, DNS hostnames, and PCI compliance status. Earlier, the compliance status for the assets was included in executive reports under the compliance summary section. Now with the help of this API, you can generate the asset-level compliance summary report.

Use the PCI Merchant Authentication to access this API.

You can not access the PCI Merchant APIs if you have enabled Security Assertion Markup Language - Single-Sing-On (SAML-SSO) for your account. To access these APIs, disable SAML-SSO and use basic PCI Merchant Authentication. This constraint is applicable for all the PCI Merchant APIs, as they use basic PCI Merchant Authentication.

Input ParameterInput Parameter

You can use the following input parameters for Compliance Summary API.

Input Parameter Mandatory/Optional Data Type Description
sortBy Optional Alphanumeric

Use this parameter to sort the assets based on IP address, DNS hostname, or compliance status.

By default IP address is used for sorting.

sortOrder
Optional
String

Use this parameter to sort the results in ascending (ASC) or descending (DESC) order.

Accepted values
For ascending order: ASC
For descending order: DESC

offset Optional
Integer

Use this parameter to offset the assets displayed in the API response.

You can use any integer number, starting from 1.

limit Optional
Integer

Use this parameter to set the number of assets displayed on a page.

Accepted Range: 1-1000 

IP Optional
Double Use this parameter to include assets based on the IP address or IP Range. 
DNS Optional
String Use this parameter to include assets based on DNS hostname. You can provide only one DNS hostname as an input parameter.
ComplianceStatus Optional
Boolean

Use this parameter to include assets based on their compliance status. 

Accepted values: Pass/Fail

Sample: Generate Compliance Summary ReportSample: Generate Compliance Summary Report

The following example illustartes fetching Compliance Report for your assets using Compliamce Report Generation and Attestation API.

API Request

curl -X GET '<qualys_base_url>/pci/reporting/complianceSummary?limit=10&offset=0' 
-H 'Content-Type: application/json apiVersion: V1'

API Response

{
    "responseApiVersion": "LATEST - V1",
    "data": {
        "totalCount": 4264,
        "fetchRange": "1-10",
        "complianceSummaryList": [
            {
                "ip": "123.123.123.141",
                "dns": "123.123.123.130.bc.googleusercontent.com",
                "complianceStatus": "Pass"
            },
            {
                "ip": "123.123.123.129",
                "dns": "docker-registry.ab2.us-abcdefg-1.oracleiaas.com",
                "complianceStatus": "Pass"
            },
            {
                "ip": "12.123.123.250",
                "dns": "ec2-12-123-12-250.sa-east-1.compute.amazonaws.com",
                "complianceStatus": "Pass"
            },
            {
                "ip": "1.1.1.5",
                "dns": "abc.com",
                "complianceStatus": "Pass"
            },
            {
                "ip": "12.12.12.14",
                "dns": "telemetry-api.ad1.ap-mumbai-1.oracleiaas.com",
                "complianceStatus": "Pass"
            },
            {
                "ip": "123.123.0.145",
                "dns": "telemetry-api.ad1.ca-toronto-1.oracleiaas.com",
                "complianceStatus": "Pass"
            },
            {
                "ip": "123.123.1.146",
                "dns": "telemetry-api.ad3.us-ashburn-1.oracleiaas.com",
                "complianceStatus": "Pass"
            },
            {
                "ip": "1.1.1.3",
                "dns": "xyz.com",
                "complianceStatus": "Fail"
            },
            {
                "ip": "123.12.123.34",
                "dns": null,
                "complianceStatus": "Pass"
            },
            {
                "ip": "123.12.12.7",
                "dns": null,
                "complianceStatus": "Pass"
            }
        ]
    }
}